<html>
<head>
<title>Ogre::SimpleSpline Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SimpleSpline.html">SimpleSpline</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SimpleSpline Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SimpleSpline" -->
<p>A very simple spline class which implements the Catmull-Rom class of splines.  
 <a href="classOgre_1_1SimpleSpline.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSimpleSpline_8h_source.html">OgreSimpleSpline.h</a>&gt;</code></p>

<p><a href="classOgre_1_1SimpleSpline-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a647c5b1ef7ab486fc8646fa6a151bab6">SimpleSpline</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#aef641d97c1f208faf7bcf46584706fd8">~SimpleSpline</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a19945294aede4d865da85ccbe095ad33">addPoint</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;p)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a control point to the end of the spline.  <a href="#a19945294aede4d865da85ccbe095ad33"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a295cb351867d81989ba41161d87a1258">getPoint</a> (unsigned short index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the detail of one of the control points of the spline.  <a href="#a295cb351867d81989ba41161d87a1258"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a7cc4a623dc37c403b68d79eab09adf46">getNumPoints</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the number of control points in the spline.  <a href="#a7cc4a623dc37c403b68d79eab09adf46"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#ad9b46f66661afbebf4cf1c45182e0484">clear</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears all the points in the spline.  <a href="#ad9b46f66661afbebf4cf1c45182e0484"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a5c757c1a320a61e224753b72c5e65048">updatePoint</a> (unsigned short index, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates a single point in the spline.  <a href="#a5c757c1a320a61e224753b72c5e65048"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#af137f00a5cc7bf35f88ee90df830e301">interpolate</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an interpolated point based on a parametric value over the whole series.  <a href="#af137f00a5cc7bf35f88ee90df830e301"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a4931043963476005519d6efa4dc8a7fd">interpolate</a> (unsigned int fromIndex, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpolates a single segment of the spline given a parametric value.  <a href="#a4931043963476005519d6efa4dc8a7fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#ac8a0d23480006745e3a58ecec33f6bc2">setAutoCalculate</a> (bool autoCalc)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells the spline whether it should automatically calculate tangents on demand as points are added.  <a href="#ac8a0d23480006745e3a58ecec33f6bc2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a2c8896ea995986b58328763e58acbcb0">recalcTangents</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Recalculates the tangents associated with this spline.  <a href="#a2c8896ea995986b58328763e58acbcb0"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#af6c6e592a24de4a8ba44077eb00cce02">mAutoCalc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#abfedd02e64b6d03b82c46c3ebd37a90f">mPoints</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a2a795b529c48668850d8c701b4b65926">mTangents</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#a1f4270a81d2a5f8580b8e5652407998e">mCoeffs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Matrix of coefficients.  <a href="#a1f4270a81d2a5f8580b8e5652407998e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A very simple spline class which implements the Catmull-Rom class of splines. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Splines are bendy lines. You define a series of points, and the spline forms a smoother line between the points to eliminate the sharp angles. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Catmull-Rom splines are a specialisation of the general Hermite spline. With a Hermite spline, you define the start and end point of the line, and 2 tangents, one at the start of the line and one at the end. The Catmull-Rom spline simplifies this by just asking you to define a series of points, and the tangents are created for you. </dd></dl>

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h_source.html#l00056">56</a> of file <a class="el" href="OgreSimpleSpline_8h_source.html">OgreSimpleSpline.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a647c5b1ef7ab486fc8646fa6a151bab6"></a><!-- doxytag: member="Ogre::SimpleSpline::SimpleSpline" ref="a647c5b1ef7ab486fc8646fa6a151bab6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SimpleSpline.html#a647c5b1ef7ab486fc8646fa6a151bab6">Ogre::SimpleSpline::SimpleSpline</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aef641d97c1f208faf7bcf46584706fd8"></a><!-- doxytag: member="Ogre::SimpleSpline::~SimpleSpline" ref="aef641d97c1f208faf7bcf46584706fd8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SimpleSpline.html#aef641d97c1f208faf7bcf46584706fd8">Ogre::SimpleSpline::~SimpleSpline</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a19945294aede4d865da85ccbe095ad33"></a><!-- doxytag: member="Ogre::SimpleSpline::addPoint" ref="a19945294aede4d865da85ccbe095ad33" args="(const Vector3 &amp;p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SimpleSpline.html#a19945294aede4d865da85ccbe095ad33">Ogre::SimpleSpline::addPoint</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a control point to the end of the spline. </p>

</div>
</div>
<a class="anchor" id="ad9b46f66661afbebf4cf1c45182e0484"></a><!-- doxytag: member="Ogre::SimpleSpline::clear" ref="ad9b46f66661afbebf4cf1c45182e0484" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SimpleSpline.html#ad9b46f66661afbebf4cf1c45182e0484">Ogre::SimpleSpline::clear</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears all the points in the spline. </p>

</div>
</div>
<a class="anchor" id="a7cc4a623dc37c403b68d79eab09adf46"></a><!-- doxytag: member="Ogre::SimpleSpline::getNumPoints" ref="a7cc4a623dc37c403b68d79eab09adf46" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1SimpleSpline.html#a7cc4a623dc37c403b68d79eab09adf46">Ogre::SimpleSpline::getNumPoints</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the number of control points in the spline. </p>

</div>
</div>
<a class="anchor" id="a295cb351867d81989ba41161d87a1258"></a><!-- doxytag: member="Ogre::SimpleSpline::getPoint" ref="a295cb351867d81989ba41161d87a1258" args="(unsigned short index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1SimpleSpline.html#a295cb351867d81989ba41161d87a1258">Ogre::SimpleSpline::getPoint</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the detail of one of the control points of the spline. </p>

</div>
</div>
<a class="anchor" id="af137f00a5cc7bf35f88ee90df830e301"></a><!-- doxytag: member="Ogre::SimpleSpline::interpolate" ref="af137f00a5cc7bf35f88ee90df830e301" args="(Real t) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1SimpleSpline.html#af137f00a5cc7bf35f88ee90df830e301">Ogre::SimpleSpline::interpolate</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns an interpolated point based on a parametric value over the whole series. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Given a t value between 0 and 1 representing the parametric distance along the whole length of the spline, this method returns an interpolated point. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>Parametric value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4931043963476005519d6efa4dc8a7fd"></a><!-- doxytag: member="Ogre::SimpleSpline::interpolate" ref="a4931043963476005519d6efa4dc8a7fd" args="(unsigned int fromIndex, Real t) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1SimpleSpline.html#af137f00a5cc7bf35f88ee90df830e301">Ogre::SimpleSpline::interpolate</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>fromIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>t</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Interpolates a single segment of the spline given a parametric value. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">fromIndex</td><td>The point index to treat as t=0. fromIndex + 1 is deemed to be t=1 </td></tr>
    <tr><td class="paramname">t</td><td>Parametric value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2c8896ea995986b58328763e58acbcb0"></a><!-- doxytag: member="Ogre::SimpleSpline::recalcTangents" ref="a2c8896ea995986b58328763e58acbcb0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SimpleSpline.html#a2c8896ea995986b58328763e58acbcb0">Ogre::SimpleSpline::recalcTangents</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Recalculates the tangents associated with this spline. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If you tell the spline not to update on demand by calling setAutoCalculate(false) then you must call this after completing your updates to the spline points. </dd></dl>

</div>
</div>
<a class="anchor" id="ac8a0d23480006745e3a58ecec33f6bc2"></a><!-- doxytag: member="Ogre::SimpleSpline::setAutoCalculate" ref="ac8a0d23480006745e3a58ecec33f6bc2" args="(bool autoCalc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SimpleSpline.html#ac8a0d23480006745e3a58ecec33f6bc2">Ogre::SimpleSpline::setAutoCalculate</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autoCalc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells the spline whether it should automatically calculate tangents on demand as points are added. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The spline calculates tangents at each point automatically based on the input points. Normally it does this every time a point changes. However, if you have a lot of points to add in one go, you probably don't want to incur this overhead and would prefer to defer the calculation until you are finished setting all the points. You can do this by calling this method with a parameter of 'false'. Just remember to manually call the recalcTangents method when you are done. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">autoCalc</td><td>If true, tangents are calculated for you whenever a point changes. If false, you must call reclacTangents to recalculate them when it best suits. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5c757c1a320a61e224753b72c5e65048"></a><!-- doxytag: member="Ogre::SimpleSpline::updatePoint" ref="a5c757c1a320a61e224753b72c5e65048" args="(unsigned short index, const Vector3 &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SimpleSpline.html#a5c757c1a320a61e224753b72c5e65048">Ogre::SimpleSpline::updatePoint</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates a single point in the spline. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This point must already exist in the spline. </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af6c6e592a24de4a8ba44077eb00cce02"></a><!-- doxytag: member="Ogre::SimpleSpline::mAutoCalc" ref="af6c6e592a24de4a8ba44077eb00cce02" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SimpleSpline.html#af6c6e592a24de4a8ba44077eb00cce02">Ogre::SimpleSpline::mAutoCalc</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h_source.html#l00118">118</a> of file <a class="el" href="OgreSimpleSpline_8h_source.html">OgreSimpleSpline.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1f4270a81d2a5f8580b8e5652407998e"></a><!-- doxytag: member="Ogre::SimpleSpline::mCoeffs" ref="a1f4270a81d2a5f8580b8e5652407998e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> <a class="el" href="classOgre_1_1SimpleSpline.html#a1f4270a81d2a5f8580b8e5652407998e">Ogre::SimpleSpline::mCoeffs</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Matrix of coefficients. </p>

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h_source.html#l00124">124</a> of file <a class="el" href="OgreSimpleSpline_8h_source.html">OgreSimpleSpline.h</a>.</p>

</div>
</div>
<a class="anchor" id="abfedd02e64b6d03b82c46c3ebd37a90f"></a><!-- doxytag: member="Ogre::SimpleSpline::mPoints" ref="abfedd02e64b6d03b82c46c3ebd37a90f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt;::type <a class="el" href="classOgre_1_1SimpleSpline.html#abfedd02e64b6d03b82c46c3ebd37a90f">Ogre::SimpleSpline::mPoints</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h_source.html#l00120">120</a> of file <a class="el" href="OgreSimpleSpline_8h_source.html">OgreSimpleSpline.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2a795b529c48668850d8c701b4b65926"></a><!-- doxytag: member="Ogre::SimpleSpline::mTangents" ref="a2a795b529c48668850d8c701b4b65926" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt;::type <a class="el" href="classOgre_1_1SimpleSpline.html#a2a795b529c48668850d8c701b4b65926">Ogre::SimpleSpline::mTangents</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h_source.html#l00121">121</a> of file <a class="el" href="OgreSimpleSpline_8h_source.html">OgreSimpleSpline.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSimpleSpline_8h_source.html">OgreSimpleSpline.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:07
</p>
</body>
</html>
